Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CVideoDeviceInput Class Reference

`#include <VideoDeviceInput.h>`

Inheritance diagram for CVideoDeviceInput::

List of all members.

## Public Types

- enum { Unknown, TV, Camera }

## Public Methods

- CVideoDeviceInput (CVideoDevice *video, int channel)
- int GetNumber () const
- QString GetName () const
- bool HasAudio () const
- int GetType () const
- int GetTuners () const
- int GetCurrentTuner () const
- CVideoDeviceTuner* GetTuner (int number=-1) const
- bool SelectTuner (int number)
- bool Select ()

## Public Attributes

- enum CVideoDeviceInput:: { ... } InputTypes

## Detailed Description

Every video device has one or more inputs (called channels in the Video4Linux API). Each input refers to one of the physical inputs on the card/chip, like Tuner, Composite, S-video, etc. This class represents such an input.

In addition, each input can have 0 or more tuners attached to it (to keep matters simple...). A tuner does the actual frequency and norm setting, and is represented by a CVideoDeviceTuner class.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  Unknown |
  TV |
  Camera |

## Constructor & Destructor Documentation

CVideoDeviceInput::CVideoDeviceInput ( | CVideoDevice * video,
| int channel )

| Constructor. In the constructor the channel information is queried and stored. It will also create any Tuner objects that may be needed.

## Member Function Documentation

int CVideoDeviceInput::GetCurrentTuner ( | ) const

| Return current tuner number. Returns: Tuner number, or -1 if the current tuner is unknown Since there is no way to query the current selected tuner from the device, this function returns -1 until a tuner has been selected.

QString CVideoDeviceInput::GetName ( | ) const

| Return symbolic name for input.

int CVideoDeviceInput::GetNumber ( | ) const

| Return channel number.

CVideoDeviceTuner * CVideoDeviceInput::GetTuner ( | int number = -1 ) const

  | Get a Tuner object. Parameters:
  number | The desired input (0 to GetTuners() - 1); -1 for default (current) one

int CVideoDeviceInput::GetTuners ( | ) const

| Return number of tuners. Most inputs don't have a tuner, or at most 1. Multiple tuners could be used for multi-norm cards (each norm having a separate tuner), but this hasn't happened sofar.

int CVideoDeviceInput::GetType ( | ) const

| Return type for this input. Returns a value from the InputTypes enum, either TV or Camera

bool CVideoDeviceInput::HasAudio ( | ) const

| Returns whether this input has audio settings associated with it.

bool CVideoDeviceInput::Select ( | )

| Make this input the current one.

bool CVideoDeviceInput::SelectTuner ( | int number )

## Member Data Documentation

enum { ... } CVideoDeviceInput::InputTypes

The documentation for this class was generated from the following files:

- VideoDeviceInput.cc
- VideoDeviceInput.h